Friday, March 22, 2013

[1.5.1] ModLoader *update*

 INFO

Q: What is ModLoader?
-A: http://tiny.cc/PAIN

Q: Where is ModLoader?
-A: http://tiny.cc/PAIN

Q: How do I install ModLoader?
-A: http://tiny.cc/PAIN

Q: Why did you link me that image?
-A: Because you can't read. What part of "read this whole post" did you not understand?

Q: Why does my game freeze on the loading screen?
-A: The most likely answer is you forgot to delete META-INF, or your archive tool didn't want to delete it.

Q: Why does my game black screen?
-A: There are a number of reasons this could happen, the most likely is that you're trying to play alpha through the browser. Mods don't work with the browser version. I do not care about black screens. Get me the error log. Follow the instructions under the "Linux / Other" download on www.minecraft.net. This applies to all OS.

Q: Do these mods work with [older version]?
-A: No, they are designed for Minecraft 1.5.1.

Q: The AudioMod description hurt my head, is there some kind of readme that explains it in better detail?
-A: Not yet, so, in the meantime, feel free to contact me about it in IRC, and I will help.

Q: How come 7z throws out "Not implemented" OR WinRAR gives me an error when I try to add stuff to the jar?
-A: Update 7-Zip or close Minecraft.

Q: How do I uninstall the mods?
-A: You restore from a backup of minecraft.jar, and in case you didn't back it up, delete the version file in the bin folder, and Minecraft will redownload everything.

Q: What does input == null mean?
-A: You failed to read instructions, try again...

Q: java.lang.NoClassDefFoundError: ...?
-A: You failed to read instructions, try again...

Q: java.lang.SecurityException: SHA1 digest error ...?
-A: You failed to read instructions, try again...

Q: java.util.zip.ZipException: invalid entry size?
-A: Stop using that bad program and get a real one! Like 7-Zip or WinRAR!

Q: java.lang.UnsupportedClassVersionError: Bad version number in .class file?
-A: Update java. On mac? Too bad.

Q: java.lang.UnsupportedClassVersionError: ______ : Unsupported major.minor version 51.0
-A: Either get JRE 7 or tell mod creator to not use JDK 7.

Q: How can I best contact you?
-A: In the channel #risucraft, on the esper.net IRC.

Q: What if this FAQ doesn't solve my problem or answer my question?
-A: Then you can post, or contact us, preferably on IRC.
 
 

  Installation

 Windows:
1) Open up %appdata%, if you don't know how to do this, start>run, then type in %appdata%
2) Browse to .minecraft/bin
3) Open up minecraft.jar with WinRAR or 7zip.
4) Drag and drop the necessary files into the jar.
5) Delete the META-INF folder in the jar.
6) Run Minecraft, enjoy!

Macintosh:
1) Go to Applications>Utilities and open terminal.
2) Type in the following, line by line:
cd ~
mkdir mctmp
cd mctmp
jar xf ~/Library/Application\ Support/minecraft/bin/minecraft.jar
3) Outside of terminal, copy all the files and folders into the mctmp directory.
4) Back inside terminal, type in the following:
rm META-INF/MOJANG_C.*
jar uf ~/Library/Application\ Support/minecraft/bin/minecraft.jar ./
cd ..
rm -rf mctmp
5) Run Minecraft, enjoy!

Download
 

Download - 1.5.1


0 comments:

Post a Comment